import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/sysUserWxOpenSendLog/` + url, ...arg)

/**
 * 用户微信推送消息表Api接口管理器
 *
 * @author xiang
 * @date  2023/12/11 17:47
 **/
export default {
	// 获取用户微信推送消息表分页
	sysUserWxOpenSendLogPage(data) {
		return request('page', data, 'get')
	},
	// 获取用户微信推送消息表列表
	sysUserWxOpenSendLogList(data) {
		return request('list', data, 'get')
	},
	// 提交用户微信推送消息表表单 edit为true时为编辑，默认为新增
	sysUserWxOpenSendLogSubmitForm(data, edit = false) {
		return request(edit ? 'add' : 'edit', data)
	},
	// 删除用户微信推送消息表
	sysUserWxOpenSendLogDelete(data) {
		return request('delete', data)
	},
	// 获取用户微信推送消息表详情
	sysUserWxOpenSendLogDetail(data) {
		return request('detail', data, 'get')
	}
}
